image: openjdk:17.0.1-oracle

stages:
  - build
  - test

before_script:
  - echo "Start CI/CD"
  - cd testing
  - git update-index --chmod=+x mvnw

build:
  stage: build
  script:
    - ./mvnw clean install -DskipTests=true -DskipIT=true
  artifacts:
    paths:
      - build/libs/*.jar
    expire_in: 1 week
  only:
    - master

test:
  stage: test
  script:
    - ./mvnw test
  only:
    - master

after_script:
  - echo "End CI/CD"
